curl --request POST \
--url https://api.whop.com/api/v1/ads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ad_group_id": "<string>",
"creative_set_id": "<string>",
"existing_instagram_media_id": "<string>",
"existing_post_id": "<string>",
"platform_config": {
"meta": {
"name": "<string>",
"link_url": "<string>",
"url_tags": "<string>",
"primary_text": "<string>",
"headline": "<string>",
"description": "<string>",
"primary_texts": [
"<string>"
],
"headlines": [
"<string>"
],
"descriptions": [
"<string>"
],
"call_to_action_type": "LEARN_MORE",
"page_id": "<string>",
"instagram_actor_id": "<string>",
"existing_post_id": "<string>",
"existing_instagram_media_id": "<string>",
"multi_advertiser_enrollment": "OPT_IN",
"carousel_cards": [
{
"call_to_action_type": "<string>",
"description": "<string>",
"link": "<string>",
"name": "<string>"
}
],
"lead_form_config": {},
"page_welcome_message": {}
},
"tiktok": {
"ad_name": "<string>",
"access_pass_tag": "<string>",
"link_url": "<string>",
"ad_format": "SINGLE_IMAGE",
"identity_type": "CUSTOMIZED_USER",
"identity_id": "<string>",
"identity_authorized_bc_id": "<string>",
"video_id": "<string>",
"image_ids": [
"<string>"
],
"tiktok_item_id": "<string>",
"ad_text": "<string>",
"ad_texts": [
"<string>"
],
"call_to_action_enabled": true,
"call_to_action_mode": "STANDARD",
"call_to_action": "LEARN_MORE",
"call_to_action_id": "<string>",
"landing_page_url": "<string>",
"page_id": "<string>",
"deeplink": "<string>",
"deeplink_type": "<string>",
"cpp_url": "<string>",
"utm_params": [
{}
],
"catalog_id": "<string>",
"product_specific_type": "<string>",
"item_group_ids": [
"<string>"
],
"product_set_id": "<string>",
"sku_ids": [
"<string>"
],
"showcase_products": [
{}
],
"shopping_ads_video_package_id": "<string>",
"dark_post_status": "ON",
"promotional_music_disabled": true,
"item_duet_status": "ENABLE",
"item_stitch_status": "ENABLE",
"music_id": "<string>",
"carousel_image_index": 42,
"card_id": "<string>",
"automate_creative_enabled": true,
"creative_auto_enhancement_strategy_list": [
"<string>"
],
"vertical_video_strategy": "<string>",
"dynamic_format": "<string>",
"tracking_pixel_id": "trpx_xxxxxxxxxxxxx",
"tracking_app_id": "<string>",
"tracking_offline_event_set_ids": [
"<string>"
],
"tracking_message_event_set_id": "<string>",
"impression_tracking_url": "<string>",
"click_tracking_url": "<string>",
"video_view_tracking_url": "<string>",
"brand_safety_postbid_partner": "UNSET",
"brand_safety_vast_url": "<string>",
"viewability_postbid_partner": "UNSET",
"viewability_vast_url": "<string>",
"aigc_disclosure_type": "UNSET",
"disclaimer_type": "NONE",
"disclaimer_text": "<string>",
"disclaimer_clickable_texts": [
{}
],
"auto_disclaimer_types": [
"<string>"
],
"creative_authorized": true,
"fallback_type": "UNSET",
"deeplink_format_type": "UNSET",
"deeplink_utm_params": [
{}
],
"shopping_ads_fallback_type": "UNSET",
"end_card_cta": "<string>",
"product_display_field_list": [
"<string>"
],
"dynamic_destination": "<string>"
}
},
"status": "active"
}
'{
"id": "xad_xxxxxxxxxxxxxx",
"status": "active",
"created_at": "2023-12-01T05:00:00.401Z",
"updated_at": "2023-12-01T05:00:00.401Z",
"platform_config": {
"typename": "<string>",
"platform": "meta",
"name": "<string>",
"link_url": "<string>",
"url_tags": "<string>",
"primary_text": "<string>",
"headline": "<string>",
"call_to_action_type": "LEARN_MORE",
"page_id": "<string>",
"instagram_actor_id": "<string>"
},
"external_ad_group": {
"id": "adgrp_xxxxxxxxxxxx",
"name": "<string>",
"status": "active"
},
"external_ad_creative_set": {
"id": "adcs_xxxxxxxxxxxxx"
}
}Create an ad within an ad group.
Required permissions:
ad_campaign:createcurl --request POST \
--url https://api.whop.com/api/v1/ads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ad_group_id": "<string>",
"creative_set_id": "<string>",
"existing_instagram_media_id": "<string>",
"existing_post_id": "<string>",
"platform_config": {
"meta": {
"name": "<string>",
"link_url": "<string>",
"url_tags": "<string>",
"primary_text": "<string>",
"headline": "<string>",
"description": "<string>",
"primary_texts": [
"<string>"
],
"headlines": [
"<string>"
],
"descriptions": [
"<string>"
],
"call_to_action_type": "LEARN_MORE",
"page_id": "<string>",
"instagram_actor_id": "<string>",
"existing_post_id": "<string>",
"existing_instagram_media_id": "<string>",
"multi_advertiser_enrollment": "OPT_IN",
"carousel_cards": [
{
"call_to_action_type": "<string>",
"description": "<string>",
"link": "<string>",
"name": "<string>"
}
],
"lead_form_config": {},
"page_welcome_message": {}
},
"tiktok": {
"ad_name": "<string>",
"access_pass_tag": "<string>",
"link_url": "<string>",
"ad_format": "SINGLE_IMAGE",
"identity_type": "CUSTOMIZED_USER",
"identity_id": "<string>",
"identity_authorized_bc_id": "<string>",
"video_id": "<string>",
"image_ids": [
"<string>"
],
"tiktok_item_id": "<string>",
"ad_text": "<string>",
"ad_texts": [
"<string>"
],
"call_to_action_enabled": true,
"call_to_action_mode": "STANDARD",
"call_to_action": "LEARN_MORE",
"call_to_action_id": "<string>",
"landing_page_url": "<string>",
"page_id": "<string>",
"deeplink": "<string>",
"deeplink_type": "<string>",
"cpp_url": "<string>",
"utm_params": [
{}
],
"catalog_id": "<string>",
"product_specific_type": "<string>",
"item_group_ids": [
"<string>"
],
"product_set_id": "<string>",
"sku_ids": [
"<string>"
],
"showcase_products": [
{}
],
"shopping_ads_video_package_id": "<string>",
"dark_post_status": "ON",
"promotional_music_disabled": true,
"item_duet_status": "ENABLE",
"item_stitch_status": "ENABLE",
"music_id": "<string>",
"carousel_image_index": 42,
"card_id": "<string>",
"automate_creative_enabled": true,
"creative_auto_enhancement_strategy_list": [
"<string>"
],
"vertical_video_strategy": "<string>",
"dynamic_format": "<string>",
"tracking_pixel_id": "trpx_xxxxxxxxxxxxx",
"tracking_app_id": "<string>",
"tracking_offline_event_set_ids": [
"<string>"
],
"tracking_message_event_set_id": "<string>",
"impression_tracking_url": "<string>",
"click_tracking_url": "<string>",
"video_view_tracking_url": "<string>",
"brand_safety_postbid_partner": "UNSET",
"brand_safety_vast_url": "<string>",
"viewability_postbid_partner": "UNSET",
"viewability_vast_url": "<string>",
"aigc_disclosure_type": "UNSET",
"disclaimer_type": "NONE",
"disclaimer_text": "<string>",
"disclaimer_clickable_texts": [
{}
],
"auto_disclaimer_types": [
"<string>"
],
"creative_authorized": true,
"fallback_type": "UNSET",
"deeplink_format_type": "UNSET",
"deeplink_utm_params": [
{}
],
"shopping_ads_fallback_type": "UNSET",
"end_card_cta": "<string>",
"product_display_field_list": [
"<string>"
],
"dynamic_destination": "<string>"
}
},
"status": "active"
}
'{
"id": "xad_xxxxxxxxxxxxxx",
"status": "active",
"created_at": "2023-12-01T05:00:00.401Z",
"updated_at": "2023-12-01T05:00:00.401Z",
"platform_config": {
"typename": "<string>",
"platform": "meta",
"name": "<string>",
"link_url": "<string>",
"url_tags": "<string>",
"primary_text": "<string>",
"headline": "<string>",
"call_to_action_type": "LEARN_MORE",
"page_id": "<string>",
"instagram_actor_id": "<string>"
},
"external_ad_group": {
"id": "adgrp_xxxxxxxxxxxx",
"name": "<string>",
"status": "active"
},
"external_ad_creative_set": {
"id": "adcs_xxxxxxxxxxxxx"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.whop.com/llms.txt
Use this file to discover all available pages before exploring further.
A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************
Parameters for CreateAd
The unique identifier of the ad group to create this ad in.
The unique identifier of the creative set to use.
ID of an existing Instagram media item to use as the ad creative (instead of a creative set or Facebook post).
ID of an existing Facebook post to use as the ad creative (instead of a creative set).
Platform-specific configuration. Must match the campaign platform.
Show child attributes
Initial status (defaults to active).
active, paused, inactive, in_review, rejected, flagged A successful response
An ad belonging to an ad group
Unique identifier for the ad.
"xad_xxxxxxxxxxxxxx"
Current status of the ad.
active, paused, inactive, in_review, rejected, flagged When the ad was created.
"2023-12-01T05:00:00.401Z"
When the ad was last updated.
"2023-12-01T05:00:00.401Z"
Meta (Facebook/Instagram) ad configuration.
Show child attributes
The parent ad group.
Show child attributes
The creative set used by this ad.
Show child attributes
Was this page helpful?